Admin
Get Admin Organization By Slug
Full organization overview with billing, subscription, seats, and credits (admin only).
Authorization
bearerAuth AuthorizationBearer <token>
Authentication required for all endpoints. Supports Better Auth user credentials and dedicated coworker bearer API keys.
In: header
Path Parameters
slug*string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://loading/v1/admin/organizations/acme-corp"{
"data": {
"organization": {
"id": "org_123",
"name": "Acme Corp",
"slug": "acme-corp",
"createdAt": "2021-01-01T00:00:00.000Z",
"stripeCustomerId": "cus_123"
},
"billingPlan": {
"mode": "enterprise_contract",
"plan": "free",
"isConsumable": true,
"purchasedSeats": 0,
"cancelAtPeriodEnd": true,
"periodEnd": "2021-01-01T00:00:00.000Z"
},
"subscription": {
"plan": "string",
"status": "string",
"cancelAtPeriodEnd": true,
"periodStart": "2021-01-01T00:00:00.000Z",
"periodEnd": "2021-01-01T00:00:00.000Z",
"seats": 0
},
"enterpriseContract": {
"poolRemainingCredits": 0,
"monthlyCredits": 0,
"purchasedSeats": 0,
"isConsumable": true
},
"seatSummary": {
"assignedCount": 0,
"memberCount": 0,
"purchasedSeats": 0,
"unusedSeats": 0,
"paidPlan": "string",
"isEnterpriseContract": true
},
"totalCredits": 1200
},
"meta": {
"timestamp": "2021-01-01T00:00:00.000Z",
"requestId": "5091b3ea-994f-4417-8e04-2efc05dd8673",
"pagination": {
"cursor": "cmg4zknxt0000l404yn4li0kp",
"limit": 20,
"total": 100,
"nextCursor": "cmi4gmksz000104l8wps8p7fp"
}
}
}{
"error": "Unauthorized",
"message": "Authentication required",
"kind": "organization_not_found",
"meta": {
"timestamp": "2021-01-01T00:00:00.000Z",
"requestId": "5091b3ea-994f-4417-8e04-2efc05dd8673",
"path": "/v1/agents",
"method": "GET"
}
}{
"error": "Unauthorized",
"message": "Authentication required",
"kind": "organization_not_found",
"meta": {
"timestamp": "2021-01-01T00:00:00.000Z",
"requestId": "5091b3ea-994f-4417-8e04-2efc05dd8673",
"path": "/v1/agents",
"method": "GET"
}
}{
"error": "Unauthorized",
"message": "Authentication required",
"kind": "organization_not_found",
"meta": {
"timestamp": "2021-01-01T00:00:00.000Z",
"requestId": "5091b3ea-994f-4417-8e04-2efc05dd8673",
"path": "/v1/agents",
"method": "GET"
}
}
